Retrieves authentication parameter

- « svn_add

- svn_auth_set_parameter »

- PHP Manual
- SVN Functions
- Retrieves authentication parameter

# svn_auth_get_parameter

(PECL svn >= 0.1.0)

svn_auth_get_parameter — Retrieves authentication parameter

### Description

svn_auth_get_parameter(string `$key`): string

Retrieves authentication parameter at `key`. For a list of valid keys and their meanings, consult the authentication constants list.

### Parameters

`key`

  String key name. Use the authentication constants defined by this extension to specify a key.

### Return Values

Returns the string value of the parameter at `key`; returns `null` if parameter does not exist.

### Notes

Warning

This function is EXPERIMENTAL. The behaviour of this function, its name, and surrounding documentation may change without notice in a future release of PHP. This function should be used at your own risk.

### See Also

- svn_auth_set_parameter() - Sets an authentication parameter
- Authentication constants